# Class PaymentAccountPayload

#### Hierarchy

- unknown
  - PaymentAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:3455
- Defined in src/protobuf/pb_pb.d.ts:3663

#####
Index

### Constructors

constructor

### Methods

clearAdvancedCashAccountPayload
clearAliPayAccountPayload
clearAmazonGiftCardAccountPayload
clearAustraliaPayidPayload
clearCapitualAccountPayload
clearCashAppAccountPayload
clearCashAtAtmAccountPayload
clearCelPayAccountPayload
clearChaseQuickPayAccountPayload
clearCountryBasedPaymentAccountPayload
clearCryptoCurrencyAccountPayload
clearExcludeFromJsonDataMap
clearFasterPaymentsAccountPayload
clearHalCashAccountPayload
clearInstantCryptoCurrencyAccountPayload
clearInteracETransferAccountPayload
clearJapanBankAccountPayload
clearMoneseAccountPayload
clearMoneyBeamAccountPayload
clearMoneyGramAccountPayload
clearOKPayAccountPayload
clearPaxumAccountPayload
clearPayByMailAccountPayload
clearPaypalAccountPayload
clearPayseraAccountPayload
clearPerfectMoneyAccountPayload
clearPopmoneyAccountPayload
clearPromptPayAccountPayload
clearRevolutAccountPayload
clearSwiftAccountPayload
clearSwishAccountPayload
clearTransferwiseAccountPayload
clearUSPostalMoneyOrderAccountPayload
clearUpholdAccountPayload
clearVenmoAccountPayload
clearVerseAccountPayload
clearWeChatPayAccountPayload
clearZelleAccountPayload
getAdvancedCashAccountPayload
getAliPayAccountPayload
getAmazonGiftCardAccountPayload
getAustraliaPayidPayload
getCapitualAccountPayload
getCashAppAccountPayload
getCashAtAtmAccountPayload
getCelPayAccountPayload
getChaseQuickPayAccountPayload
getCountryBasedPaymentAccountPayload
getCryptoCurrencyAccountPayload
getExcludeFromJsonDataMap
getFasterPaymentsAccountPayload
getHalCashAccountPayload
getId
getInstantCryptoCurrencyAccountPayload
getInteracETransferAccountPayload
getJapanBankAccountPayload
getMaxTradePeriod
getMessageCase
getMoneseAccountPayload
getMoneyBeamAccountPayload
getMoneyGramAccountPayload
getOKPayAccountPayload
getPaxumAccountPayload
getPayByMailAccountPayload
getPaymentMethodId
getPaypalAccountPayload
getPayseraAccountPayload
getPerfectMoneyAccountPayload
getPopmoneyAccountPayload
getPromptPayAccountPayload
getRevolutAccountPayload
getSwiftAccountPayload
getSwishAccountPayload
getTransferwiseAccountPayload
getUSPostalMoneyOrderAccountPayload
getUpholdAccountPayload
getVenmoAccountPayload
getVerseAccountPayload
getWeChatPayAccountPayload
getZelleAccountPayload
hasAdvancedCashAccountPayload
hasAliPayAccountPayload
hasAmazonGiftCardAccountPayload
hasAustraliaPayidPayload
hasCapitualAccountPayload
hasCashAppAccountPayload
hasCashAtAtmAccountPayload
hasCelPayAccountPayload
hasChaseQuickPayAccountPayload
hasCountryBasedPaymentAccountPayload
hasCryptoCurrencyAccountPayload
hasFasterPaymentsAccountPayload
hasHalCashAccountPayload
hasInstantCryptoCurrencyAccountPayload
hasInteracETransferAccountPayload
hasJapanBankAccountPayload
hasMoneseAccountPayload
hasMoneyBeamAccountPayload
hasMoneyGramAccountPayload
hasOKPayAccountPayload
hasPaxumAccountPayload
hasPayByMailAccountPayload
hasPaypalAccountPayload
hasPayseraAccountPayload
hasPerfectMoneyAccountPayload
hasPopmoneyAccountPayload
hasPromptPayAccountPayload
hasRevolutAccountPayload
hasSwiftAccountPayload
hasSwishAccountPayload
hasTransferwiseAccountPayload
hasUSPostalMoneyOrderAccountPayload
hasUpholdAccountPayload
hasVenmoAccountPayload
hasVerseAccountPayload
hasWeChatPayAccountPayload
hasZelleAccountPayload
serializeBinary
setAdvancedCashAccountPayload
setAliPayAccountPayload
setAmazonGiftCardAccountPayload
setAustraliaPayidPayload
setCapitualAccountPayload
setCashAppAccountPayload
setCashAtAtmAccountPayload
setCelPayAccountPayload
setChaseQuickPayAccountPayload
setCountryBasedPaymentAccountPayload
setCryptoCurrencyAccountPayload
setFasterPaymentsAccountPayload
setHalCashAccountPayload
setId
setInstantCryptoCurrencyAccountPayload
setInteracETransferAccountPayload
setJapanBankAccountPayload
setMaxTradePeriod
setMoneseAccountPayload
setMoneyBeamAccountPayload
setMoneyGramAccountPayload
setOKPayAccountPayload
setPaxumAccountPayload
setPayByMailAccountPayload
setPaymentMethodId
setPaypalAccountPayload
setPayseraAccountPayload
setPerfectMoneyAccountPayload
setPopmoneyAccountPayload
setPromptPayAccountPayload
setRevolutAccountPayload
setSwiftAccountPayload
setSwishAccountPayload
setTransferwiseAccountPayload
setUSPostalMoneyOrderAccountPayload
setUpholdAccountPayload
setVenmoAccountPayload
setVerseAccountPayload
setWeChatPayAccountPayload
setZelleAccountPayload
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### clearAdvancedCashAccountPayload

- clearAdvancedCashAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3576

### clearAliPayAccountPayload

- clearAliPayAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3471

### clearAmazonGiftCardAccountPayload

- clearAmazonGiftCardAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3601

### clearAustraliaPayidPayload

- clearAustraliaPayidPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3596

### clearCapitualAccountPayload

- clearCapitualAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3611

### clearCashAppAccountPayload

- clearCashAppAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3531

### clearCashAtAtmAccountPayload

- clearCashAtAtmAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3646

### clearCelPayAccountPayload

- clearCelPayAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3631

### clearChaseQuickPayAccountPayload

- clearChaseQuickPayAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3476

### clearCountryBasedPaymentAccountPayload

- clearCountryBasedPaymentAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3486

### clearCryptoCurrencyAccountPayload

- clearCryptoCurrencyAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3491

### clearExcludeFromJsonDataMap

- clearExcludeFromJsonDataMap(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3466

### clearFasterPaymentsAccountPayload

- clearFasterPaymentsAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3496

### clearHalCashAccountPayload

- clearHalCashAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3566

### clearInstantCryptoCurrencyAccountPayload

- clearInstantCryptoCurrencyAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3581

### clearInteracETransferAccountPayload

- clearInteracETransferAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3501

### clearJapanBankAccountPayload

- clearJapanBankAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3586

### clearMoneseAccountPayload

- clearMoneseAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3636

### clearMoneyBeamAccountPayload

- clearMoneyBeamAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3536

### clearMoneyGramAccountPayload

- clearMoneyGramAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3561

### clearOKPayAccountPayload

- clearOKPayAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3506

### clearPaxumAccountPayload

- clearPaxumAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3621

### clearPayByMailAccountPayload

- clearPayByMailAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3606

### clearPaypalAccountPayload

- clearPaypalAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3651

### clearPayseraAccountPayload

- clearPayseraAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3616

### clearPerfectMoneyAccountPayload

- clearPerfectMoneyAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3511

### clearPopmoneyAccountPayload

- clearPopmoneyAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3546

### clearPromptPayAccountPayload

- clearPromptPayAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3571

### clearRevolutAccountPayload

- clearRevolutAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3551

### clearSwiftAccountPayload

- clearSwiftAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3626

### clearSwishAccountPayload

- clearSwishAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3516

### clearTransferwiseAccountPayload

- clearTransferwiseAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3591

### clearUSPostalMoneyOrderAccountPayload

- clearUSPostalMoneyOrderAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3521

### clearUpholdAccountPayload

- clearUpholdAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3526

### clearVenmoAccountPayload

- clearVenmoAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3541

### clearVerseAccountPayload

- clearVerseAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3641

### clearWeChatPayAccountPayload

- clearWeChatPayAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3556

### clearZelleAccountPayload

- clearZelleAccountPayload(): PaymentAccountPayload

- #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3481

### getAdvancedCashAccountPayload

- getAdvancedCashAccountPayload(): undefined | AdvancedCashAccountPayload

- #### Returns undefined | AdvancedCashAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3573

### getAliPayAccountPayload

- getAliPayAccountPayload(): undefined | AliPayAccountPayload

- #### Returns undefined | AliPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3468

### getAmazonGiftCardAccountPayload

- getAmazonGiftCardAccountPayload(): undefined | AmazonGiftCardAccountPayload

- #### Returns undefined | AmazonGiftCardAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3598

### getAustraliaPayidPayload

- getAustraliaPayidPayload(): undefined | AustraliaPayidPayload

- #### Returns undefined | AustraliaPayidPayload

  - Defined in src/protobuf/pb_pb.d.ts:3593

### getCapitualAccountPayload

- getCapitualAccountPayload(): undefined | CapitualAccountPayload

- #### Returns undefined | CapitualAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3608

### getCashAppAccountPayload

- getCashAppAccountPayload(): undefined | CashAppAccountPayload

- #### Returns undefined | CashAppAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3528

### getCashAtAtmAccountPayload

- getCashAtAtmAccountPayload(): undefined | CashAtAtmAccountPayload

- #### Returns undefined | CashAtAtmAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3643

### getCelPayAccountPayload

- getCelPayAccountPayload(): undefined | CelPayAccountPayload

- #### Returns undefined | CelPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3628

### getChaseQuickPayAccountPayload

- getChaseQuickPayAccountPayload(): undefined | ChaseQuickPayAccountPayload

- #### Returns undefined | ChaseQuickPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3473

### getCountryBasedPaymentAccountPayload

- getCountryBasedPaymentAccountPayload(): undefined | CountryBasedPaymentAccountPayload

- #### Returns undefined | CountryBasedPaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3483

### getCryptoCurrencyAccountPayload

- getCryptoCurrencyAccountPayload(): undefined | CryptoCurrencyAccountPayload

- #### Returns undefined | CryptoCurrencyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3488

### getExcludeFromJsonDataMap

- getExcludeFromJsonDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:3465

### getFasterPaymentsAccountPayload

- getFasterPaymentsAccountPayload(): undefined | FasterPaymentsAccountPayload

- #### Returns undefined | FasterPaymentsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3493

### getHalCashAccountPayload

- getHalCashAccountPayload(): undefined | HalCashAccountPayload

- #### Returns undefined | HalCashAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3563

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3456

### getInstantCryptoCurrencyAccountPayload

- getInstantCryptoCurrencyAccountPayload(): undefined | InstantCryptoCurrencyAccountPayload

- #### Returns undefined | InstantCryptoCurrencyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3578

### getInteracETransferAccountPayload

- getInteracETransferAccountPayload(): undefined | InteracETransferAccountPayload

- #### Returns undefined | InteracETransferAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3498

### getJapanBankAccountPayload

- getJapanBankAccountPayload(): undefined | JapanBankAccountPayload

- #### Returns undefined | JapanBankAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3583

### getMaxTradePeriod

- getMaxTradePeriod(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3462

### getMessageCase

- getMessageCase(): PaymentAccountPayload.MessageCase

- #### Returns PaymentAccountPayload.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:3653

### getMoneseAccountPayload

- getMoneseAccountPayload(): undefined | MoneseAccountPayload

- #### Returns undefined | MoneseAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3633

### getMoneyBeamAccountPayload

- getMoneyBeamAccountPayload(): undefined | MoneyBeamAccountPayload

- #### Returns undefined | MoneyBeamAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3533

### getMoneyGramAccountPayload

- getMoneyGramAccountPayload(): undefined | MoneyGramAccountPayload

- #### Returns undefined | MoneyGramAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3558

### getOKPayAccountPayload

- getOKPayAccountPayload(): undefined | OKPayAccountPayload

- #### Returns undefined | OKPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3503

### getPaxumAccountPayload

- getPaxumAccountPayload(): undefined | PaxumAccountPayload

- #### Returns undefined | PaxumAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3618

### getPayByMailAccountPayload

- getPayByMailAccountPayload(): undefined | PayByMailAccountPayload

- #### Returns undefined | PayByMailAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3603

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3459

### getPaypalAccountPayload

- getPaypalAccountPayload(): undefined | PayPalAccountPayload

- #### Returns undefined | PayPalAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3648

### getPayseraAccountPayload

- getPayseraAccountPayload(): undefined | PayseraAccountPayload

- #### Returns undefined | PayseraAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3613

### getPerfectMoneyAccountPayload

- getPerfectMoneyAccountPayload(): undefined | PerfectMoneyAccountPayload

- #### Returns undefined | PerfectMoneyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3508

### getPopmoneyAccountPayload

- getPopmoneyAccountPayload(): undefined | PopmoneyAccountPayload

- #### Returns undefined | PopmoneyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3543

### getPromptPayAccountPayload

- getPromptPayAccountPayload(): undefined | PromptPayAccountPayload

- #### Returns undefined | PromptPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3568

### getRevolutAccountPayload

- getRevolutAccountPayload(): undefined | RevolutAccountPayload

- #### Returns undefined | RevolutAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3548

### getSwiftAccountPayload

- getSwiftAccountPayload(): undefined | SwiftAccountPayload

- #### Returns undefined | SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3623

### getSwishAccountPayload

- getSwishAccountPayload(): undefined | SwishAccountPayload

- #### Returns undefined | SwishAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3513

### getTransferwiseAccountPayload

- getTransferwiseAccountPayload(): undefined | TransferwiseAccountPayload

- #### Returns undefined | TransferwiseAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3588

### getUSPostalMoneyOrderAccountPayload

- getUSPostalMoneyOrderAccountPayload(): undefined | USPostalMoneyOrderAccountPayload

- #### Returns undefined | USPostalMoneyOrderAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3518

### getUpholdAccountPayload

- getUpholdAccountPayload(): undefined | UpholdAccountPayload

- #### Returns undefined | UpholdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3523

### getVenmoAccountPayload

- getVenmoAccountPayload(): undefined | VenmoAccountPayload

- #### Returns undefined | VenmoAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3538

### getVerseAccountPayload

- getVerseAccountPayload(): undefined | VerseAccountPayload

- #### Returns undefined | VerseAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3638

### getWeChatPayAccountPayload

- getWeChatPayAccountPayload(): undefined | WeChatPayAccountPayload

- #### Returns undefined | WeChatPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3553

### getZelleAccountPayload

- getZelleAccountPayload(): undefined | ZelleAccountPayload

- #### Returns undefined | ZelleAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3478

### hasAdvancedCashAccountPayload

- hasAdvancedCashAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3575

### hasAliPayAccountPayload

- hasAliPayAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3470

### hasAmazonGiftCardAccountPayload

- hasAmazonGiftCardAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3600

### hasAustraliaPayidPayload

- hasAustraliaPayidPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3595

### hasCapitualAccountPayload

- hasCapitualAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3610

### hasCashAppAccountPayload

- hasCashAppAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3530

### hasCashAtAtmAccountPayload

- hasCashAtAtmAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3645

### hasCelPayAccountPayload

- hasCelPayAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3630

### hasChaseQuickPayAccountPayload

- hasChaseQuickPayAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3475

### hasCountryBasedPaymentAccountPayload

- hasCountryBasedPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3485

### hasCryptoCurrencyAccountPayload

- hasCryptoCurrencyAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3490

### hasFasterPaymentsAccountPayload

- hasFasterPaymentsAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3495

### hasHalCashAccountPayload

- hasHalCashAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3565

### hasInstantCryptoCurrencyAccountPayload

- hasInstantCryptoCurrencyAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3580

### hasInteracETransferAccountPayload

- hasInteracETransferAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3500

### hasJapanBankAccountPayload

- hasJapanBankAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3585

### hasMoneseAccountPayload

- hasMoneseAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3635

### hasMoneyBeamAccountPayload

- hasMoneyBeamAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3535

### hasMoneyGramAccountPayload

- hasMoneyGramAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3560

### hasOKPayAccountPayload

- hasOKPayAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3505

### hasPaxumAccountPayload

- hasPaxumAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3620

### hasPayByMailAccountPayload

- hasPayByMailAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3605

### hasPaypalAccountPayload

- hasPaypalAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3650

### hasPayseraAccountPayload

- hasPayseraAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3615

### hasPerfectMoneyAccountPayload

- hasPerfectMoneyAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3510

### hasPopmoneyAccountPayload

- hasPopmoneyAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3545

### hasPromptPayAccountPayload

- hasPromptPayAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3570

### hasRevolutAccountPayload

- hasRevolutAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3550

### hasSwiftAccountPayload

- hasSwiftAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3625

### hasSwishAccountPayload

- hasSwishAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3515

### hasTransferwiseAccountPayload

- hasTransferwiseAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3590

### hasUSPostalMoneyOrderAccountPayload

- hasUSPostalMoneyOrderAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3520

### hasUpholdAccountPayload

- hasUpholdAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3525

### hasVenmoAccountPayload

- hasVenmoAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3540

### hasVerseAccountPayload

- hasVerseAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3640

### hasWeChatPayAccountPayload

- hasWeChatPayAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3555

### hasZelleAccountPayload

- hasZelleAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3480

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3655

### setAdvancedCashAccountPayload

- setAdvancedCashAccountPayload(value?: AdvancedCashAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: AdvancedCashAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3574

### setAliPayAccountPayload

- setAliPayAccountPayload(value?: AliPayAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: AliPayAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3469

### setAmazonGiftCardAccountPayload

- setAmazonGiftCardAccountPayload(value?: AmazonGiftCardAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: AmazonGiftCardAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3599

### setAustraliaPayidPayload

- setAustraliaPayidPayload(value?: AustraliaPayidPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: AustraliaPayidPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3594

### setCapitualAccountPayload

- setCapitualAccountPayload(value?: CapitualAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: CapitualAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3609

### setCashAppAccountPayload

- setCashAppAccountPayload(value?: CashAppAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: CashAppAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3529

### setCashAtAtmAccountPayload

- setCashAtAtmAccountPayload(value?: CashAtAtmAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: CashAtAtmAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3644

### setCelPayAccountPayload

- setCelPayAccountPayload(value?: CelPayAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: CelPayAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3629

### setChaseQuickPayAccountPayload

- setChaseQuickPayAccountPayload(value?: ChaseQuickPayAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: ChaseQuickPayAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3474

### setCountryBasedPaymentAccountPayload

- setCountryBasedPaymentAccountPayload(value?: CountryBasedPaymentAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: CountryBasedPaymentAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3484

### setCryptoCurrencyAccountPayload

- setCryptoCurrencyAccountPayload(value?: CryptoCurrencyAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: CryptoCurrencyAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3489

### setFasterPaymentsAccountPayload

- setFasterPaymentsAccountPayload(value?: FasterPaymentsAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: FasterPaymentsAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3494

### setHalCashAccountPayload

- setHalCashAccountPayload(value?: HalCashAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: HalCashAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3564

### setId

- setId(value: string): PaymentAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3457

### setInstantCryptoCurrencyAccountPayload

- setInstantCryptoCurrencyAccountPayload(value?: InstantCryptoCurrencyAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: InstantCryptoCurrencyAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3579

### setInteracETransferAccountPayload

- setInteracETransferAccountPayload(value?: InteracETransferAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: InteracETransferAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3499

### setJapanBankAccountPayload

- setJapanBankAccountPayload(value?: JapanBankAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: JapanBankAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3584

### setMaxTradePeriod

- setMaxTradePeriod(value: number): PaymentAccountPayload

- #### Parameters

  - ##### value: number

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3463

### setMoneseAccountPayload

- setMoneseAccountPayload(value?: MoneseAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: MoneseAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3634

### setMoneyBeamAccountPayload

- setMoneyBeamAccountPayload(value?: MoneyBeamAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: MoneyBeamAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3534

### setMoneyGramAccountPayload

- setMoneyGramAccountPayload(value?: MoneyGramAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: MoneyGramAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3559

### setOKPayAccountPayload

- setOKPayAccountPayload(value?: OKPayAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: OKPayAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3504

### setPaxumAccountPayload

- setPaxumAccountPayload(value?: PaxumAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PaxumAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3619

### setPayByMailAccountPayload

- setPayByMailAccountPayload(value?: PayByMailAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PayByMailAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3604

### setPaymentMethodId

- setPaymentMethodId(value: string): PaymentAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3460

### setPaypalAccountPayload

- setPaypalAccountPayload(value?: PayPalAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PayPalAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3649

### setPayseraAccountPayload

- setPayseraAccountPayload(value?: PayseraAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PayseraAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3614

### setPerfectMoneyAccountPayload

- setPerfectMoneyAccountPayload(value?: PerfectMoneyAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PerfectMoneyAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3509

### setPopmoneyAccountPayload

- setPopmoneyAccountPayload(value?: PopmoneyAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PopmoneyAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3544

### setPromptPayAccountPayload

- setPromptPayAccountPayload(value?: PromptPayAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: PromptPayAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3569

### setRevolutAccountPayload

- setRevolutAccountPayload(value?: RevolutAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: RevolutAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3549

### setSwiftAccountPayload

- setSwiftAccountPayload(value?: SwiftAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: SwiftAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3624

### setSwishAccountPayload

- setSwishAccountPayload(value?: SwishAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: SwishAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3514

### setTransferwiseAccountPayload

- setTransferwiseAccountPayload(value?: TransferwiseAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: TransferwiseAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3589

### setUSPostalMoneyOrderAccountPayload

- setUSPostalMoneyOrderAccountPayload(value?: USPostalMoneyOrderAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: USPostalMoneyOrderAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3519

### setUpholdAccountPayload

- setUpholdAccountPayload(value?: UpholdAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: UpholdAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3524

### setVenmoAccountPayload

- setVenmoAccountPayload(value?: VenmoAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: VenmoAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3539

### setVerseAccountPayload

- setVerseAccountPayload(value?: VerseAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: VerseAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3639

### setWeChatPayAccountPayload

- setWeChatPayAccountPayload(value?: WeChatPayAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: WeChatPayAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3554

### setZelleAccountPayload

- setZelleAccountPayload(value?: ZelleAccountPayload): PaymentAccountPayload

- #### Parameters

  - ##### `Optional` value: ZelleAccountPayload

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3479

### toObject

- toObject(includeInstance?: boolean): PaymentAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3656

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3659

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountPayload, reader: BinaryReader): PaymentAccountPayload

- #### Parameters

  - ##### message: PaymentAccountPayload

  - ##### reader: BinaryReader

  #### Returns PaymentAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3660

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3658

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentAccountPayload): PaymentAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountPayload

  #### Returns PaymentAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3657

Generated using TypeDoc